Package com.complexible.common.rdf.query

# Class IteratorAsPathQueryResult

java.lang.Object
com.google.common.collect.UnmodifiableIterator<Path>
com.google.common.collect.AbstractIterator<Path>
com.complexible.common.rdf.query.IteratorAsQueryResult<Path>
com.complexible.common.rdf.query.IteratorAsPathQueryResult

All Implemented Interfaces:
  `CloseableIterator<Path>`, `PathQueryResult`, `QueryResult<Path>`, `AutoCloseable`, `Iterator<Path>`

public final class IteratorAsPathQueryResult extends IteratorAsQueryResult<Path> implements PathQueryResult

Adapter class for using a BindingSetIteration as a `PathQueryResult`

Since:
  0.4

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.complexible.common.base.CloseableIterator

  `CloseableIterator.AbstractCloseableIterator<T>, CloseableIterator.DelegatingCloseableIterator<T>, CloseableIterator.EmptyCloseableIterator<T>`

- ## Field Summary

  ### Fields inherited from interface com.complexible.common.rdf.query.PathQueryResult

  `PATH_VAR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IteratorAsPathQueryResult(CloseableIterator<Path> theIter, List<String> theStartVars, List<String> theEndVars, List<String> theEdgeVars, Runnable theOnClose, Runnable theOnSuccess, Function<Exception,RuntimeException> theOnError)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getEdgeVariableNames()`
  `List<String>`
  `getPathEndVariableNames()`
  `List<String>`
  `getPathStartVariableNames()`

  ### Methods inherited from class com.complexible.common.rdf.query.IteratorAsQueryResult

  `close, computeNext`

  ### Methods inherited from class com.google.common.collect.AbstractIterator

  `endOfData, hasNext, next, peek`

  ### Methods inherited from class com.google.common.collect.UnmodifiableIterator

  `remove`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining, remove`

  ### Methods inherited from interface com.stardog.stark.query.QueryResult

  `close, hasNext, metadata, next, stream`

- ## Constructor Details

  - ### IteratorAsPathQueryResult

    public IteratorAsPathQueryResult(CloseableIterator<Path> theIter, List<String> theStartVars, List<String> theEndVars, List<String> theEdgeVars, Runnable theOnClose, Runnable theOnSuccess, Function<Exception,RuntimeException> theOnError)

- ## Method Details

  - ### getPathStartVariableNames

    public List<String> getPathStartVariableNames()
    Specified by:
      `getPathStartVariableNames` in interface `PathQueryResult`

  - ### getPathEndVariableNames

    public List<String> getPathEndVariableNames()
    Specified by:
      `getPathEndVariableNames` in interface `PathQueryResult`

  - ### getEdgeVariableNames

    public List<String> getEdgeVariableNames()
    Specified by:
      `getEdgeVariableNames` in interface `PathQueryResult`